#!/bin/sh

# set username from secret if not supplied
[ -z $PLUGIN_USERNAME ] && [ -n $SENDXMPP_USERNAME ] && PLUGIN_USERNAME="${SENDXMPP_USERNAME}"
[ -z $PLUGIN_PASSWORD ] && [ -n $SENDXMPP_PASSWORD ] && PLUGIN_PASSWORD="${SENDXMPP_PASSWORD}"

# check if all required fields are set
[ -z "$PLUGIN_USERNAME" ] && echo "missing username or sendxmpp_username secret" && exit 1
[ -z "$PLUGIN_PASSWORD" ] && echo "missing password or sendxmpp_password secret" && exit 1
[ -z "$PLUGIN_JSERVER" ] && echo "missing jserver" && exit 1
[ -z "$PLUGIN_RECIPIENT" ] && echo "missing recipient" && exit 1

MSG="drone ist da"

CMD="sendxmpp \
  -u ${PLUGIN_USERNAME} \
	-j ${PLUGIN_JSERVER} \
	-p ${PLUGIN_PASSWORD} \
	--tls \
	--verbose \
	--no-tls-verify
	${PLUGIN_RECIPIENT}"

echo $MSG | $CMD
